#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x92,0x55,0xA7,0x52,0xD4,0xA9,0xF0,0x62,0xEA,0xE0,0x3C,0x97,
		0x81,0x5F,0x66,0x12,0x4D,0xD7,0x06,0x50,0x16,0x88,0xAC,0xA4,
		0xFD,0x8F,0x49,0x92,0x93,0x15,0x80,0xA3,0x3D,0xED,0x36,0x5C,
		0x82,0x14,0x28,0x3C,0xF2,0x76,0x6A,0xDD,0xF8,0x69,0x40,0x11,
		0x5B,0x0E,0xE1,0x19,0x12,0xA6,0x74,0xD5,0x55,0x95,0x14,0x52,
		0x5E,0x60,0x0A,0x0B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
